unit uViewPagosCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, DB, uDADataTable, dxLayoutControl,
  cxControls, cxCurrencyEdit, cxDBEdit, cxMemo, cxMaskEdit, cxDropDownEdit,
  cxCalendar, cxContainer, cxEdit, cxTextEdit, cxStyles, cxCustomData,
  cxGraphics, cxFilter, cxData, cxDataStorage, cxDBData, cxSpinEdit,
  cxGridLevel, cxGridCustomTableView, cxGridTableView, cxGridDBTableView,
  cxClasses, cxGridCustomView, cxGrid, uBizPagosCliente, ActnList, TB2Item,
  TBX, TB2Dock, TB2Toolbar, cxImageComboBox, dxLayoutLookAndFeels, ImgList,
  PngImageList, ComCtrls, ToolWin, uDAInterfaces;
    
type
  IViewPagosCliente = interface(IViewBase)
  ['{3DBF38F1-35AF-445C-967C-E429570B1AE5}']
    function GetPagos: IBizPagosCliente;
    procedure SetPagos(const Value: IBizPagosCliente);
    property Pagos: IBizPagosCliente read GetPagos write SetPagos;
  end;


  TfrViewPagosCliente = class(TfrViewBase, IViewPagosCliente)
    DADataSource: TDADataSource;
    ListaPagosCliente: TcxGrid;
    ListaPagosClienteDBTableView1: TcxGridDBTableView;
    ListaPagosClienteLevel1: TcxGridLevel;
    ListaPagosClienteDBTableView1RecID: TcxGridDBColumn;
    ListaPagosClienteDBTableView1ID: TcxGridDBColumn;
    ListaPagosClienteDBTableView1ID_RECIBO: TcxGridDBColumn;
    ListaPagosClienteDBTableView1TIPO: TcxGridDBColumn;
    ListaPagosClienteDBTableView1FECHA_PAGO: TcxGridDBColumn;
    ListaPagosClienteDBTableView1TITULAR: TcxGridDBColumn;
    ListaPagosClienteDBTableView1ENTIDAD: TcxGridDBColumn;
    ListaPagosClienteDBTableView1SUCURSAL: TcxGridDBColumn;
    ListaPagosClienteDBTableView1DC: TcxGridDBColumn;
    ListaPagosClienteDBTableView1CUENTA: TcxGridDBColumn;
    ListaPagosClienteDBTableView1FECHA_ALTA: TcxGridDBColumn;
    ListaPagosClienteDBTableView1FECHA_MODIFICACION: TcxGridDBColumn;
    ListaPagosClienteDBTableView1USUARIO: TcxGridDBColumn;
    ActionListContenido: TActionList;
    actAnadir: TAction;
    actEliminar: TAction;
    actModificar: TAction;
    dxLayoutLookAndFeelList1: TdxLayoutLookAndFeelList;
    dxLayoutOfficeLookAndFeel1: TdxLayoutOfficeLookAndFeel;
    dxLayoutControl1: TdxLayoutControl;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton2: TToolButton;
    dxLayoutGroup1: TdxLayoutGroup;
    ContenidoImageList: TPngImageList;
    dxLayoutControl2Group_Root: TdxLayoutGroup;
    dxLayoutControl2: TdxLayoutControl;
    dxLayoutControl2Group1: TdxLayoutGroup;
    dxLayoutControl2Item1: TdxLayoutItem;
    dxLayoutControl2Item2: TdxLayoutItem;
    procedure ListaPagosClienteDBTableView1CellDblClick(
      Sender: TcxCustomGridTableView;
      ACellViewInfo: TcxGridTableDataCellViewInfo; AButton: TMouseButton;
      AShift: TShiftState; var AHandled: Boolean);
  private
    FPagos : IBizPagosCliente;
    function GetPagos: IBizPagosCliente;
    procedure SetPagos(const Value: IBizPagosCliente);
  public
    property Pagos: IBizPagosCliente read GetPagos write SetPagos;
  end;

implementation
{$R *.dfm}

{ TfrViewPagosCliente }

function TfrViewPagosCliente.GetPagos: IBizPagosCliente;
begin
  Result := FPagos;
end;

procedure TfrViewPagosCliente.ListaPagosClienteDBTableView1CellDblClick(
  Sender: TcxCustomGridTableView; ACellViewInfo: TcxGridTableDataCellViewInfo;
  AButton: TMouseButton; AShift: TShiftState; var AHandled: Boolean);
begin
  inherited;
  actModificar.Execute;
end;

procedure TfrViewPagosCliente.SetPagos(const Value: IBizPagosCliente);
begin
  FPagos := Value;
  if Assigned(FPagos) then
    DADataSource.DataTable := FPagos.DataTable
  else
    DADataSource.DataTable := NIL;
end;

end.
